import { defineComponent } from 'vue'

import classes from './index.module.less'
import hold from './images/hold.png'
import start from './images/start.png'
import pan from './images/pan.png'
export default defineComponent({
  name: 'albumItem',
  setup() {
    return () => (
      <>
        <div class={classes.itemWrap}>
          <img src={hold} alt="" class={classes.hold} />
          <h2>专辑名称</h2>
          <div class={classes.itemBottom}>
            <div class={classes.itemBottomL}>
              <img src={pan} alt="" />
              <span>24首</span>
            </div>
            <div class={classes.itemBottomR}>
              <img src={start} alt="" />
              <span>24收藏</span>
            </div>
          </div>
        </div>
      </>
    )
  }
})
