// import Auth from '@/views/layout/auth'

type metaType = {
  isRegister: boolean
}

export default [
  {
    path: '/',
    component: () => import('@/views/home/index')
  },
  {
    path: '/home',
    name: 'home',
    component: () => import('@/views/home/index')
  },
  {
    path: '/downLoad',
    name: 'downLoad',
    component: () => import('@/views/downLoad/index')
  },
  {
    path: '/teacherAuth',
    name: 'teacherAuth',
    component: () => import('@/views/roleAuth/teacherAuth'),
    meta: {
      title: '老师认证'
    }
  },
  {
    path: '/musicAuth',
    name: 'musicAuth',
    component: () => import('@/views/roleAuth/musicAuth'),
    meta: {
      title: '音乐人认证'
    }
  }
  // {
  //   path: '/',
  //   component: Auth,
  //   children: [
  //     {
  //       path: '/login',
  //       name: 'login',
  //       component: () => import('@/views/layout/login'),
  //       meta: {
  //         isRegister: false
  //       } as metaType
  //     }
  //   ]
  // }
  // {
  //   path: '/:pathMatch(.*)*',
  //   component: () => import('@/views/404'),
  //   meta: {
  //     title: '404 Not Fund',
  //     platform: 'STUDENT'
  //   }
  // }
]
