import { reactive } from 'vue'

type status = 'init' | 'login' | 'logout' | 'error'
export const state = reactive({
  user: {
    status: 'init' as status,
    data: {} as any
  },
  loginPopupStatus: false, // 登录弹窗状态
  loginPopupTimer: null as any // 登录弹窗定时器
})
