import { createApp } from 'vue'
import App from './App'
import router from '../router/index-admin'
import '../style/index.css'
import 'normalize.css'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'

// import { state } from '@/state'

const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

// import Vconsole from 'vconsole'
// const vconsole = new Vconsole()

app.use(router)

app.mount('#app')
