import { defineComponent } from 'vue'
import classes  from './index.module.less'
export default defineComponent({
  name: 'col-footer',
  setup() {
    return () => (
      <>
        <div>
          <div class={classes.footerSection}>
            <div class={classes.footerInfo}>
              <div class={classes.width1200} >
                <div  class={classes.attention} >
                  <div class={classes.qrcode} >
                    <div class={classes.qrcodeItem}  style="padding-right:50px">
                      <img
                        src="../assets/images/logoWhile1.png"
                        width="142px"
                        height="65px"
                        alt=""
                      />
                    </div>
                  </div>
                  <div class={classes.qrcode}>
                    <div class={classes.qrcodeItem}>
                      <img
                        src="../assets/images/public-code.jpg"
                        width="74px"
                        height="74px"
                      />
                      <p>微信订阅号</p>
                    </div>
                  </div>
                  <div class={classes.qrcode}>
                    <div  class={classes.qrcodeItem}>
                      <img
                        src="../assets/images/download.png"
                        width="74px"
                        height="74px"
                      />
                      <p>下载地址</p>
                    </div>
                  </div>
                </div>
                <div  class={classes.friendShip}>
                  <div class={classes.hotLine}>
                    <h2>咨询热线</h2>
                    <p>
                      400 - 8851569<span>（周一至周五 09:00~21:00）</span>
                    </p>
                  </div>
                  <div class={classes.lineWrap} >
                    <h2>友情链接</h2>
                    <div class={classes.itemWrap}>
                      <div class={classes.friendshipItem} >
                        <a  target="view_window" href="http://www.chnmusic.org/">
                          中国音乐家协会
                        </a>
                      </div>
                      <div class={classes.friendshipItem}>
                        <a
                          target="view_window"
                          href="https://www.cnorch.com/leaderInfo/list?leaderType=2"
                        >
                          中国音协管乐学会低音铜管专业委员会
                        </a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div  class={classes.footerCoptyright}>
              <div  class={classes.width1200}>
                <p>
                  Copyright © 2021 武汉酷乐秀网络科技有限公司
                  <br /> All Rights Reserved.{' '}
                  <a target="_blank" href="https://beian.miit.gov.cn/">
                    鄂ICP备2021020787号-1
                  </a>
                </p>
              </div>
            </div>
          </div>
        </div>
      </>
    )
  }
})
