import { defineComponent, toRefs, reactive, onMounted, ref } from 'vue'

import classes from './index.module.less'
import tagItem from '@/components/tagItem'
import hot from './images/hot.png'
import arrow from '@/components/musicLIstItem/images/arrow.png'
export default defineComponent({
  name: 'hotSearch',
  components: { tagItem },
  props: {},
  setup() {
    const state = reactive({})
    return () => (
      <>
        <div class={classes.wrap}>
          <div  class={classes.wrapLeft}>
            <img src={hot} class={classes.hotIcon} alt="" />
            <h5>热门搜索：</h5>
            <div class={classes.tagWrap}>
              <tagItem title="考级"></tagItem>
              <tagItem title="古典"></tagItem>
            </div>
          </div>
          <div class={classes.wrapRight}>
            <span>更多</span>
            <img class={classes.arrow} src={arrow} alt="" />
          </div>
        </div>
      </>
    )
  }
})
