import { defineComponent } from 'vue'
import icon from '../videoDetailItem/images/icon.png'
import classes from './index.module.less'
import detaile from './images/detaile.png'
import music from './images/music.png'
import arrow from './images/arrow.png'

export default defineComponent({
  name: 'musicLIstItem',
  setup() {
    return () => (
      <>
        <div>
          <div class={classes.itemWrap}>
            <div class={classes.left}>
              <div class={classes.imgWrap}>
                <img src={music} alt="" />
              </div>
              <div class={classes.textWrap}>
                <p>
                  孤勇者（《英雄联盟：双城之战》主题曲） <span>作曲: 钱雷</span>
                </p>
                <div class={classes.authorInfo}>
                  <img class={classes.icon} src={icon} alt="" />
                  <span class={classes.authorName}>李佳怡</span>
                  <div class={classes.tagList}>
                    <div class={classes.tag}>单簧管</div>
                    <div class={classes.tag}>圆号</div>
                  </div>
                </div>
              </div>
            </div>
            <div class={classes.right}>
              <div class={classes.touchButton}>点播</div>
              <img class={classes.arrow} src={arrow} alt="" />
            </div>
          </div>
        </div>
      </>
    )
  }
})
