
import { defineComponent , toRefs, reactive, onMounted, ref } from 'vue'

import classes from './index.module.less'

export default defineComponent({
  name: 'tagItem',
  props: {
    title: {
      type: String,
      default: ''
    }
  },
  setup(props, conent) {
    const state = reactive({
      title:props.title
    })
    return () => (
      <>
        <div class={classes.tag}>{state.title}</div>
      </>
    )
  }
})
