import { defineComponent } from 'vue'

import classes from './index.module.less'
import detaile from './images/detaile.png'
import icon from './images/icon.png'
export default defineComponent({
  name: 'albumItem',
  setup() {
    return () => (
      <>
        <div class={classes.itemWrap}>
          <img src={detaile} alt="" class={classes.detaile} />
          <div class={classes.itemBottom}>
            <div class={classes.itemBottomL}>
              <img src={icon} class={classes.itemHead} alt="" />
              <span class={classes.itemTitle}>李老师</span>
              <div class={classes.line}></div>
              <span  class={classes.course}>12课时</span>
            </div>
            <div class={classes.itemBottomR}>
              <span  class={classes.buy} >6人购买</span>
            </div>
          </div>
        </div>
      </>
    )
  }
})
