import { createRouter, createWebHistory, Router } from 'vue-router'
import routes from './routes-admin'
const router: Router = createRouter({
  history: createWebHistory(),
  routes
})

router.beforeEach((to, from, next) => {
  const title = to.meta.title
  document.title = (title || '酷乐秀') as any
  next()
})

export default router
