// import { PaperClipIcon } from '@heroicons/vue/solid'
import { defineComponent } from 'vue'
import styles from './index.module.less'
import finch from './images/finch.png'
import demo from './images/demo.png'
import ios from './images/iosIcon.png'
import andIcon from './images/andIcon.png'
export default defineComponent({
  name: 'downLoad',
  render() {
    return (
      <div class={styles.bgWhite}>
        <div class={styles.container}>
          <div class={styles.imgWrap}>
            <img src={demo} class={styles.demo} alt="" />
            <img src={finch} class={styles.finch} alt="" />
          </div>
          <div class={styles.textWrap}>
            <h4>下载酷乐秀APP</h4>
            <p class={styles.subtitle}>
              <span class={styles.dot}></span>
              酷乐秀老师端：器乐教学平台，课程信息一目了然,专业网络教室
            </p>
            <p class={styles.subtitle}>
              <span class={styles.dot}></span>
              酷乐秀学生端：您的学习好帮手，专业教师一对一，器乐练习云教练
            </p>
            <div class={styles.codeList}>
              <div class={styles.codeItem}>
                <h5>学生端APP</h5>
                <div class={styles.code}></div>
                <div class={styles.iconWrap}>
                  <div class={styles.iconItem} style="margin-right:20px;margin-left:6px;">
                    <img src={ios} alt="" />
                    <span>ios</span>
                  </div>
                  <div class={styles.iconItem}>
                    <img src={andIcon} alt="" />
                    <span>Andrid</span>
                  </div>
                </div>
              </div>
              <div class={styles.codeItem}>
                <h5>老师端APP</h5>
                <div class={styles.code}></div>
                <div class={styles.iconWrap}>
                  <div class={styles.iconItem} style="margin-right:20px;margin-left:6px;">
                    <img src={ios} alt="" />
                    <span>ios</span>
                  </div>
                  <div class={styles.iconItem}>
                    <img src={andIcon} alt="" />
                    <span>Andrid</span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    )
  }
})
